Skip to main content
POST
/
sessions
/
{id}
/
rdp-detections
/
retry
Retry RDP PII analysis
curl --request POST \
  --url https://use.hoop.dev/api/sessions/{id}/rdp-detections/retry
import requests

url = "https://use.hoop.dev/api/sessions/{id}/rdp-detections/retry"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://use.hoop.dev/api/sessions/{id}/rdp-detections/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "analysis": {
    "attempt": 123,
    "finished_at": "<string>",
    "last_error": "<string>",
    "max_attempts": 123,
    "started_at": "<string>",
    "status": "<string>"
  },
  "analysis_status": "<string>",
  "detections": [
    {
      "entity_type": "<string>",
      "frame_index": 123,
      "height": 123,
      "score": 123,
      "timestamp": 123,
      "width": 123,
      "x": 123,
      "y": 123
    }
  ],
  "total": 123
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

id
string
required

Session ID

Response

OK

analysis
object
analysis_status
string

AnalysisStatus is preserved for backwards compatibility with older webapp builds; new code should read .Analysis.Status.

detections
object[]
total
integer